> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List tool IDs

> Get a list of all available tool IDs, including both built-in tools and dynamically registered tools.



## OpenAPI

````yaml /openapi.json get /experimental/tool/ids
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /experimental/tool/ids:
    get:
      summary: List tool IDs
      description: >-
        Get a list of all available tool IDs, including both built-in tools and
        dynamically registered tools.
      operationId: tool.ids
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: Tool IDs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolIDs'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.tool.ids({
              ...
            })
components:
  schemas:
    ToolIDs:
      type: array
      items:
        type: string
    BadRequestError:
      type: object
      properties:
        data: {}
        errors:
          type: array
          items:
            type: object
            propertyNames:
              type: string
            additionalProperties: {}
        success:
          type: boolean
          const: false
      required:
        - data
        - errors
        - success

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.